Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network237.64.232.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
237.64.232.0
Broadcast address
237.64.233.255
First usable
237.64.232.1
Last usable
237.64.233.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex ED40E800 · Integer 3980453888 to 3980454399
Reverse DNS zones
232.64.237.in-addr.arpa
233.64.237.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101101.01000000.11101000.00000000237.64.232.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network11101101.01000000.11101000.00000000237.64.232.0
Broadcast11101101.01000000.11101001.11111111237.64.233.255
Split into smaller subnets/30

237.64.232.0/23 makes 128 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1237.64.232.0/30237.64.232.1 to 237.64.232.2237.64.232.32
2237.64.232.4/30237.64.232.5 to 237.64.232.6237.64.232.72
3237.64.232.8/30237.64.232.9 to 237.64.232.10237.64.232.112
4237.64.232.12/30237.64.232.13 to 237.64.232.14237.64.232.152
5237.64.232.16/30237.64.232.17 to 237.64.232.18237.64.232.192
6237.64.232.20/30237.64.232.21 to 237.64.232.22237.64.232.232
7237.64.232.24/30237.64.232.25 to 237.64.232.26237.64.232.272
8237.64.232.28/30237.64.232.29 to 237.64.232.30237.64.232.312
9237.64.232.32/30237.64.232.33 to 237.64.232.34237.64.232.352
10237.64.232.36/30237.64.232.37 to 237.64.232.38237.64.232.392
11237.64.232.40/30237.64.232.41 to 237.64.232.42237.64.232.432
12237.64.232.44/30237.64.232.45 to 237.64.232.46237.64.232.472
13237.64.232.48/30237.64.232.49 to 237.64.232.50237.64.232.512
14237.64.232.52/30237.64.232.53 to 237.64.232.54237.64.232.552
15237.64.232.56/30237.64.232.57 to 237.64.232.58237.64.232.592
16237.64.232.60/30237.64.232.61 to 237.64.232.62237.64.232.632
17237.64.232.64/30237.64.232.65 to 237.64.232.66237.64.232.672
18237.64.232.68/30237.64.232.69 to 237.64.232.70237.64.232.712
19237.64.232.72/30237.64.232.73 to 237.64.232.74237.64.232.752
20237.64.232.76/30237.64.232.77 to 237.64.232.78237.64.232.792
21237.64.232.80/30237.64.232.81 to 237.64.232.82237.64.232.832
22237.64.232.84/30237.64.232.85 to 237.64.232.86237.64.232.872
23237.64.232.88/30237.64.232.89 to 237.64.232.90237.64.232.912
24237.64.232.92/30237.64.232.93 to 237.64.232.94237.64.232.952
25237.64.232.96/30237.64.232.97 to 237.64.232.98237.64.232.992
26237.64.232.100/30237.64.232.101 to 237.64.232.102237.64.232.1032
27237.64.232.104/30237.64.232.105 to 237.64.232.106237.64.232.1072
28237.64.232.108/30237.64.232.109 to 237.64.232.110237.64.232.1112
29237.64.232.112/30237.64.232.113 to 237.64.232.114237.64.232.1152
30237.64.232.116/30237.64.232.117 to 237.64.232.118237.64.232.1192
31237.64.232.120/30237.64.232.121 to 237.64.232.122237.64.232.1232
32237.64.232.124/30237.64.232.125 to 237.64.232.126237.64.232.1272
33237.64.232.128/30237.64.232.129 to 237.64.232.130237.64.232.1312
34237.64.232.132/30237.64.232.133 to 237.64.232.134237.64.232.1352
35237.64.232.136/30237.64.232.137 to 237.64.232.138237.64.232.1392
36237.64.232.140/30237.64.232.141 to 237.64.232.142237.64.232.1432
37237.64.232.144/30237.64.232.145 to 237.64.232.146237.64.232.1472
38237.64.232.148/30237.64.232.149 to 237.64.232.150237.64.232.1512
39237.64.232.152/30237.64.232.153 to 237.64.232.154237.64.232.1552
40237.64.232.156/30237.64.232.157 to 237.64.232.158237.64.232.1592
41237.64.232.160/30237.64.232.161 to 237.64.232.162237.64.232.1632
42237.64.232.164/30237.64.232.165 to 237.64.232.166237.64.232.1672
43237.64.232.168/30237.64.232.169 to 237.64.232.170237.64.232.1712
44237.64.232.172/30237.64.232.173 to 237.64.232.174237.64.232.1752
45237.64.232.176/30237.64.232.177 to 237.64.232.178237.64.232.1792
46237.64.232.180/30237.64.232.181 to 237.64.232.182237.64.232.1832
47237.64.232.184/30237.64.232.185 to 237.64.232.186237.64.232.1872
48237.64.232.188/30237.64.232.189 to 237.64.232.190237.64.232.1912
49237.64.232.192/30237.64.232.193 to 237.64.232.194237.64.232.1952
50237.64.232.196/30237.64.232.197 to 237.64.232.198237.64.232.1992
51237.64.232.200/30237.64.232.201 to 237.64.232.202237.64.232.2032
52237.64.232.204/30237.64.232.205 to 237.64.232.206237.64.232.2072
53237.64.232.208/30237.64.232.209 to 237.64.232.210237.64.232.2112
54237.64.232.212/30237.64.232.213 to 237.64.232.214237.64.232.2152
55237.64.232.216/30237.64.232.217 to 237.64.232.218237.64.232.2192
56237.64.232.220/30237.64.232.221 to 237.64.232.222237.64.232.2232
57237.64.232.224/30237.64.232.225 to 237.64.232.226237.64.232.2272
58237.64.232.228/30237.64.232.229 to 237.64.232.230237.64.232.2312
59237.64.232.232/30237.64.232.233 to 237.64.232.234237.64.232.2352
60237.64.232.236/30237.64.232.237 to 237.64.232.238237.64.232.2392
61237.64.232.240/30237.64.232.241 to 237.64.232.242237.64.232.2432
62237.64.232.244/30237.64.232.245 to 237.64.232.246237.64.232.2472
63237.64.232.248/30237.64.232.249 to 237.64.232.250237.64.232.2512
64237.64.232.252/30237.64.232.253 to 237.64.232.254237.64.232.2552
65237.64.233.0/30237.64.233.1 to 237.64.233.2237.64.233.32
66237.64.233.4/30237.64.233.5 to 237.64.233.6237.64.233.72
67237.64.233.8/30237.64.233.9 to 237.64.233.10237.64.233.112
68237.64.233.12/30237.64.233.13 to 237.64.233.14237.64.233.152
69237.64.233.16/30237.64.233.17 to 237.64.233.18237.64.233.192
70237.64.233.20/30237.64.233.21 to 237.64.233.22237.64.233.232
71237.64.233.24/30237.64.233.25 to 237.64.233.26237.64.233.272
72237.64.233.28/30237.64.233.29 to 237.64.233.30237.64.233.312
73237.64.233.32/30237.64.233.33 to 237.64.233.34237.64.233.352
74237.64.233.36/30237.64.233.37 to 237.64.233.38237.64.233.392
75237.64.233.40/30237.64.233.41 to 237.64.233.42237.64.233.432
76237.64.233.44/30237.64.233.45 to 237.64.233.46237.64.233.472
77237.64.233.48/30237.64.233.49 to 237.64.233.50237.64.233.512
78237.64.233.52/30237.64.233.53 to 237.64.233.54237.64.233.552
79237.64.233.56/30237.64.233.57 to 237.64.233.58237.64.233.592
80237.64.233.60/30237.64.233.61 to 237.64.233.62237.64.233.632
81237.64.233.64/30237.64.233.65 to 237.64.233.66237.64.233.672
82237.64.233.68/30237.64.233.69 to 237.64.233.70237.64.233.712
83237.64.233.72/30237.64.233.73 to 237.64.233.74237.64.233.752
84237.64.233.76/30237.64.233.77 to 237.64.233.78237.64.233.792
85237.64.233.80/30237.64.233.81 to 237.64.233.82237.64.233.832
86237.64.233.84/30237.64.233.85 to 237.64.233.86237.64.233.872
87237.64.233.88/30237.64.233.89 to 237.64.233.90237.64.233.912
88237.64.233.92/30237.64.233.93 to 237.64.233.94237.64.233.952
89237.64.233.96/30237.64.233.97 to 237.64.233.98237.64.233.992
90237.64.233.100/30237.64.233.101 to 237.64.233.102237.64.233.1032
91237.64.233.104/30237.64.233.105 to 237.64.233.106237.64.233.1072
92237.64.233.108/30237.64.233.109 to 237.64.233.110237.64.233.1112
93237.64.233.112/30237.64.233.113 to 237.64.233.114237.64.233.1152
94237.64.233.116/30237.64.233.117 to 237.64.233.118237.64.233.1192
95237.64.233.120/30237.64.233.121 to 237.64.233.122237.64.233.1232
96237.64.233.124/30237.64.233.125 to 237.64.233.126237.64.233.1272
97237.64.233.128/30237.64.233.129 to 237.64.233.130237.64.233.1312
98237.64.233.132/30237.64.233.133 to 237.64.233.134237.64.233.1352
99237.64.233.136/30237.64.233.137 to 237.64.233.138237.64.233.1392
100237.64.233.140/30237.64.233.141 to 237.64.233.142237.64.233.1432
101237.64.233.144/30237.64.233.145 to 237.64.233.146237.64.233.1472
102237.64.233.148/30237.64.233.149 to 237.64.233.150237.64.233.1512
103237.64.233.152/30237.64.233.153 to 237.64.233.154237.64.233.1552
104237.64.233.156/30237.64.233.157 to 237.64.233.158237.64.233.1592
105237.64.233.160/30237.64.233.161 to 237.64.233.162237.64.233.1632
106237.64.233.164/30237.64.233.165 to 237.64.233.166237.64.233.1672
107237.64.233.168/30237.64.233.169 to 237.64.233.170237.64.233.1712
108237.64.233.172/30237.64.233.173 to 237.64.233.174237.64.233.1752
109237.64.233.176/30237.64.233.177 to 237.64.233.178237.64.233.1792
110237.64.233.180/30237.64.233.181 to 237.64.233.182237.64.233.1832
111237.64.233.184/30237.64.233.185 to 237.64.233.186237.64.233.1872
112237.64.233.188/30237.64.233.189 to 237.64.233.190237.64.233.1912
113237.64.233.192/30237.64.233.193 to 237.64.233.194237.64.233.1952
114237.64.233.196/30237.64.233.197 to 237.64.233.198237.64.233.1992
115237.64.233.200/30237.64.233.201 to 237.64.233.202237.64.233.2032
116237.64.233.204/30237.64.233.205 to 237.64.233.206237.64.233.2072
117237.64.233.208/30237.64.233.209 to 237.64.233.210237.64.233.2112
118237.64.233.212/30237.64.233.213 to 237.64.233.214237.64.233.2152
119237.64.233.216/30237.64.233.217 to 237.64.233.218237.64.233.2192
120237.64.233.220/30237.64.233.221 to 237.64.233.222237.64.233.2232
121237.64.233.224/30237.64.233.225 to 237.64.233.226237.64.233.2272
122237.64.233.228/30237.64.233.229 to 237.64.233.230237.64.233.2312
123237.64.233.232/30237.64.233.233 to 237.64.233.234237.64.233.2352
124237.64.233.236/30237.64.233.237 to 237.64.233.238237.64.233.2392
125237.64.233.240/30237.64.233.241 to 237.64.233.242237.64.233.2432
126237.64.233.244/30237.64.233.245 to 237.64.233.246237.64.233.2472
127237.64.233.248/30237.64.233.249 to 237.64.233.250237.64.233.2512
128237.64.233.252/30237.64.233.253 to 237.64.233.254237.64.233.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses